## com.typesafe.config
Class ConfigException.BugOrBroken

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.typesafe.config.ConfigException
                      com.typesafe.config.ConfigException.BugOrBroken

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ConfigException.NotResolved

Enclosing class:
  ConfigException

    public static class ConfigException.BugOrBroken

extends ConfigException

Exception indicating that there's a bug in something (possibly the library itself) or the runtime environment is broken. This exception should never be handled; instead, something should be fixed to keep the exception from occurring. This exception can be thrown by any method in the library.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.typesafe.config.ConfigException
`ConfigException.BadPath, ConfigException.BadValue, ConfigException.BugOrBroken, ConfigException.Generic, ConfigException.IO, ConfigException.Missing, ConfigException.NotResolved, ConfigException.Null, ConfigException.Parse, ConfigException.UnresolvedSubstitution, ConfigException.ValidationFailed, ConfigException.ValidationProblem, ConfigException.WrongType`

Constructor Summary
`ConfigException.BugOrBroken(java.lang.String message)`
`ConfigException.BugOrBroken(java.lang.String message, java.lang.Throwable cause)`

Method Summary

Methods inherited from class com.typesafe.config.ConfigException
`origin`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigException.BugOrBroken

    public ConfigException.BugOrBroken(java.lang.String message,
                                       java.lang.Throwable cause)

### ConfigException.BugOrBroken

    public ConfigException.BugOrBroken(java.lang.String message)